/**
 * metadata/ExternalIdentifierMetadata.java
 *
 * File generated from the ExternalIdentifierMetadata uml Class
 * Generated by the Acceleo UML 2.1 to Java generator module (Obeo)
 */
package net.ihe.gazelle.metadata.model;

// End of user code
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.jboss.seam.annotations.Name;


/**
 * Description of the class ExternalIdentifierMetadata.
 *
 */
@Entity
@Name("externalIdentifierMetadata")
@DiscriminatorValue("ExternalIdentifier")

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ExternalIdentifierMetadata")
@XmlRootElement(name = "ExternalIdentifierMetadata")


public class ExternalIdentifierMetadata extends net.ihe.gazelle.metadata.model.RegistryObjectMetadata {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ExternalIdentifierMetadata other = (ExternalIdentifierMetadata) obj;
		if (this == other) {
			return true;
		}
 		if (getId() == null) {
			if (other.getId() != null)
				return false;
		} else if (!getId().equals(other.getId()))
			return false;
		return true;
	}
	
	
}